﻿$ErrorActionPreference = "Stop";

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  fileType = "exe"
  silentArgs = "/SD"
  url = "https://d3qm0vl2sdkrc.cloudfront.net/releases/6.1920.0/6.1920.0.20431/release/DashlaneInst.exe"
  validExitCodes = @(0,1223)
  checksum = "661942c34e600dbf1630b854f2c3cb867d0dd8b6"
  checksumType = "sha1"
};

Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation "dashlane*"
if ($installLocation) {
  Write-Host "$packageName installed to '$installLocation'"
} else {
  Write-Warning "Can't find install location"
}

Start-Sleep -Seconds 20

Get-Process -Name "dashlane*" | % {
  Write-Host "Stopping $($_.ProcessName) process ($($_.Id)) ..."
  Stop-Process $_
}
